%define ext_guid '{efcbec50-6821-11db-bd13-0800200c9a66}'


Name: thunderbird-vcs_support
License: MPL
Group: Applications/Internet
Summary: Import and export calendar files in vCalendar (.vcs) format
Version: 0.6.3.1
Release: 6%{?dist}
URL: https://addons.mozilla.org/en-US/thunderbird/addon/4721/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: https://addons.mozilla.org/en-US/thunderbird/downloads/file/71893/xpi/.vcs_support-%{version}-tb+sb.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip
Requires:  thunderbird-lightning
Obsoletes: thunderbird-add-on-vcs_support


%define update_thunderbird \\\
  %{_libdir}/%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/%{name} --action
  
%description
This extension adds "vCalendar (*.vcs)" to the import and 
export dialogs of Thunderbird with Lightning and Sunbird 
which will export a selected calendar to a file in the
vCalendar format, suitable for reading by many mobile devices.

%post
%{update_thunderbird} install ||:

%preun
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -- thunderbird
%{update_thunderbird} install ||:


%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/%{name}/*


%build

%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/%{name}/mozilla-extension-update.sh

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.6.3.1
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
